!
!   test f90 I/F to calmosalgo library
!
program calmosalgotest
use cal
use cal_mos
use dal

implicit none

    real(single), dimension(0:0)       :: e1 = (/100./)
    integer(kind=int16), dimension(0:0):: e2 = (/200/),&
                                          e3 = (/300/),&
                                          e4 = (/400/)
    real(single), dimension(0:0)       :: bkg = (/99./)
    integer(kind=int8), dimension(0:0) :: patt = (/0/), &
                                          peripix = (/20/)
    integer(kind=int32), dimension(0:0):: flag = (/0/)
    real(kind=single), dimension(:), pointer :: pha


    call CAL_mosPhaBuild(e1, e2, patt, pha, bkg, e3, e4, peripix, flag)
    write(*, *) pha(0)
    call CAL_releaseMemory(pha)

end program
